#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=odoorpc

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build: doc/sphinx_ext
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html

doc/sphinx_ext:
	cd doc; ln -sf ../sphinx_ext/ .

override_dh_clean:
	dh_clean
	rm -f doc/sphinx_ext
